%define upstream_name    Locale-Maketext
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Framework for software localization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(I18N::LangTags) >= 0.310.0
BuildRequires: perl(I18N::LangTags::Detect)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
It is a common feature of applications (whether run directly, or via the
Web) for them to be "localized" -- i.e., for them to a present an English
interface to an English-speaker, a German interface to a German-speaker,
and so on for all languages it's programmed with. Locale::Maketext is a
framework for software localization; it provides you with the tools for
organizing and accessing the bits of text and text-processing code that you
need for producing localized applications.

In order to make sense of Maketext and how all its components fit together,
you should probably go read Locale::Maketext::TPJ13, and _then_ read the
following documentation.

You may also want to read over the source for 'File::Findgrep' and its
constituent modules -- they are a complete (if small) example application
that uses Maketext.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 01 2024 tv <tv> 1.330.0-1.mga10
+ Revision: 2025409
- update to 1.33

* Sat Aug 27 2022 tv <tv> 1.320.0-1.mga9
+ Revision: 1881135
- update to 1.32

* Fri Apr 15 2022 tv <tv> 1.310.0-1.mga9
+ Revision: 1850169
- update to 1.31

* Mon Apr 04 2022 tv <tv> 1.300.0-1.mga9
+ Revision: 1843941
- update to 1.30

* Mon Mar 21 2022 umeabot <umeabot> 1.290.0-3.mga9
+ Revision: 1812235
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1.290.0-2.mga8
+ Revision: 1543513
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.290.0-1.mga8
+ Revision: 1481851
- update to 1.29
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.280.0-3.mga7
+ Revision: 1284508
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.280.0-2.mga7
+ Revision: 1165266
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.280.0-1.mga7
+ Revision: 1141522
- update to 1.28

* Sun Jun 19 2016 pterjan <pterjan> 1.260.0-3.mga6
+ Revision: 1029240
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.260.0-2.mga6
+ Revision: 965772
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.260.0-1.mga6
+ Revision: 837126
- update to 1.26

* Wed Oct 15 2014 umeabot <umeabot> 1.250.0-3.mga5
+ Revision: 746038
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.250.0-2.mga5
+ Revision: 685244
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 jquelin <jquelin> 1.250.0-1.mga5
+ Revision: 615368
- update to 1.25

* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-4.mga4
+ Revision: 522774
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.230.0-3.mga3
+ Revision: 405505
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 369131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.230.0-1.mga3
+ Revision: 341871
- update to 1.23

* Tue Mar 06 2012 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 219796
- update to 1.22

* Wed Jan 04 2012 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 190539
- update to 1.21

* Fri Nov 04 2011 jquelin <jquelin> 1.190.0-2.mga2
+ Revision: 162814
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 1.190.0-1.mga2
+ Revision: 112059
- update to 1.19

* Fri Feb 18 2011 jquelin <jquelin> 1.170.0-3.mga1
+ Revision: 53618
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.170.0-2.mga1
+ Revision: 28614
- mageia rebuild
- imported package perl-Locale-Maketext

